Subject: Re: [Extra] I-D Action: draft-ietf-extra-sieve-special-use-01.txt

From: Stephan Bosch <[email-masked]>
Date: Sat, 4 Aug 2018 12:36:54 +0200

Hi Ned,

Op 18/07/2018 om 22:58 schreef Stephan Bosch:
> Op 13/06/2018 om 17:40 schreef Ned Freed:
>> I also reviewed the rest of the revised draft, and it's looking good. 
>> My one
>> remaining concern is with the handling of multiple mailboxes having the
>> same special-use flag assigned. The draft currently says:
>>
>>   More than one mailbox in the user's personal namespace can have a
>>   particular special-use flag assigned.  In case of such ambiguity, the
>>   mailbox that is chosen for delivery is implementation-defined.
>>   However, while the set of mailboxes to which the involved special-use
>>   flags are assigned remains unchanged, implementations MUST ensure
>>   that the mailbox choice is made consistently, so that the same
>>   mailbox is used every time.  Conversely, the chosen mailbox MAY
>>   change once the special-use flag assignments that are relevant for
>>   the mailbox choice are changed (usually by user interaction).
>>
>> I don't see a way I can reasonably implement this MUST via IMAP 
>> unless the IMAP server always returns the list of special-use 
>> mailboxes in the same order.
>> Sure, I can cache the user/special-use-attribute/actual-mailbox-list 
>> tuple
>> somewhere, but caches can always be lost. And mailbox metadata is (a)
>> Potentially much too expensive and (b) Subject to the vagarities of user
>> actions.
>>
>> I'm not happy about it, but I think this needs to become a SHOULD.
>
> Ok. I am not too attached to the MUST anyway.

Addressed here:

https://github.com/ietfextra/draft-ietf-extra-sieve-special-use/commit/024330130d5af6ff29e48ad137844cbe5fbf5243

>> Another possibility is to use the default mailbox name as a means of
>> disambiguating multiple mailboxes with the same special-use attribute:
>> If the default mailbox is one of these deliver to it preferentially,
>> otherwise the behavior is implementation-defined. Not perfect, but it
>> provides a bit more consistent behavior that's easily achievable.
>>
>
> Sounds like a good idea. I'll give this a closer look for the next 
> revision.

Addressed here:

https://github.com/ietfextra/draft-ietf-extra-sieve-special-use/commit/a1b8d4f83109424448b51b65fbc014a73a479997

Regards,

Stephan.

---

From: Stephan Bosch <[email-masked]>
Date: Sat, 4 Aug 2018 12:40:44 +0200

Hi Ned,

Op 18/07/2018 om 22:58 schreef Stephan Bosch:
>>> > This, incidentially, is one of those places where providing the 
>>> actual IMAP
>>> > commands will be especially valuable: Pointing out that you should 
>>> use the
>>> > NAMESPACE extension and if it isn't present, fallback to LIST "" 
>>> would be very
>>> > helpful.
>>
>>> Here's my initial attempt at addressing this point (separate branch in
>>> Github):
>>
>>> https://github.com/ietfextra/draft-ietf-extra-sieve-special-use/commit/035a1af6137a383089c8d54cd733238dc2dfebda 
>>>
>>

The new version of this branch and commit should address all comments 
related to the IMAP examples:

https://github.com/ietfextra/draft-ietf-extra-sieve-special-use/tree/imap-examples
https://github.com/ietfextra/draft-ietf-extra-sieve-special-use/commit/daec67edaeb58ea040b640c2814105440692827a

I will merge this once you approve.

Regards,

Stephan.